<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace FrontModule;
use \Nette\Application\UI\Form;
use \Nette\Utils\Image;

 
class StrankyPresenter extends BasePresenter {
    
    
    private $strankyModel;
    
    
   
    
    //public $rokyk;
   
   /** @persistent */
   // public $rok;
 
    public function __construct(\StrankyModel $strankyModel) {
    $this->strankyModel = $strankyModel;
    }
    
  public function beforeRender() {
       
    }
    
    public function renderStranka($url) {
      $this->template->text = $this->strankyModel->getStrankaByUrl($url);
      $str = $this->strankyModel->getStrankaByUrl($url);
       $this->template->title = $str->navigace;
       $this->template->description = $str->nazev;
        
    }
    
   
  
}
